import uuid
from typing import Dict

from logzero import logger

from proofdock.rp.core.config import AppConfig


class DjangoConfig(AppConfig):

    def __init__(self, config: Dict):
        self._config = config
        self._config.setdefault(AppConfig.APPLICATION_ID, str(uuid.uuid4()))

    def _load_from_config(self, key: str, default) -> str:
        result = self._config.get(key, default)

        if not result:
            logger.warning("'{}' has not been set. The chaos middleware may not work as expected.".format(key))

        return result

    def get(self, item: str, default=None) -> str:
        return self._load_from_config(item, default)
